{% extends "easy_pdf/base.html" %}


{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter landscape;
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context %}
        <div style="padding-top: 1em;">
            <div align="center" style="line-height: 20px">
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">GOVERNMENT COLLEGE OF TECHNOLOGY, COIMBATORE - 641013</span><br>
                {% if context.current_batch >= 2016 %}
                    <span style="font-size: 1.5em;font-stretch: semi-expanded">Regulations 2016(CBCS)</span><br>
                    <span style="font-size: 1.5em;font-stretch: semi-expanded;text-decoration: underline;font-weight: bold">CONTINUOUS ASSESSMENT RECORD FOR LABORATORY COURSES</span>
                    <br>
                {% endif %}
                {% if context.current_batch < 2016 %}
                    <span style="font-size: 1.5em;font-stretch: semi-expanded">Regulations 2012</span><br>
                    <span style="font-size: 1.5em;font-stretch: semi-expanded;text-decoration: underline;font-weight: bold">CONTINUOUS ASSESSMENT RECORD FOR LABORATORY COURSES</span>
                    <br>
                {% endif %}

            </div>
            <div><br></div>
            <div style="border: dashed;line-height: 20px;padding-left: 2em">
                <table>
                    <tr>
                        <td><span
                                style="font-size: 1.3em;text-align: left"><strong>ACADEMIC YEAR</strong> :
                            {% if context.sem|divisibleby:"2" %}
                                {{ context.academic_year|add:"-1" }} -
                                {{ context.academic_year }}{% else %}{{ context.academic_year }} -
                                {{ context.academic_year|add:"1" }}{% endif %}</span></td>
                    </tr>
                    <tr>
                        <td><span
                                style="font-size: 1.3em;text-align: left"><strong>PROGRAMME</strong> : {{ context.selected_course.programme }}</span>
                        </td>
                    </tr>
                    <tr>
                        <td><span
                                style="font-size: 1.3em;text-align: left;display: inline-block;"><strong>BRANCH</strong> : {{ context.selected_course.department }} - {{ context.section.section_name }}</span>
                        </td>
                        <td><span
                                style="font-size: 1.3em;text-align:right;display: inline-block;"><strong>SEMESTER</strong> : {{ context.semester }}</span>
                        </td>
                    </tr>
                    <tr>
                        <td><span
                                style="font-size: 1.3em;text-align: left"><strong>COURSE CODE & NAME</strong> : {{ context.selected_course.course_id }} - {{ context.selected_course.course_name }}</span>
                        </td>
                        <td><span style="font-size: 1.3em;text-align:right;display: inline-block;"><strong>NAME OF THE DEPARTMENT OFFERING THE COURSE</strong> : {{ context.selected_course.department }}</span>
                        </td>
                    </tr>
                    <tr>
                        <td><span style="font-size: 1.3em;text-align: left"><strong>NAME & DESIGNATION OF FACULTY IN-CHARGE</strong> : {{ context.faculty.first_name }}
                            {% if context.faculty.middle_name %}
                                {{ context.faculty.middle_name }} {% endif %}{{ context.faculty.last_name }}
                            - {{ context.faculty.designation }}</span>
                        </td>
                    </tr>
                    <tr>
                        <td><span style="font-size: 1.3em;text-align: left;display: inline-block;"><strong>DEPARTMENT OF FACULTY IN-CHARGE OF THE COURSE</strong> : {{ context.selected_course.department }}</span>
                        </td>
                        <td><span style="font-size: 1.3em;text-align:right;display: inline-block;"><strong>DEPARTMENT OF THE STUDENT</strong> : {{ context.selected_course.department }}</span>
                        </td>
                    </tr>
                </table>

            </div>
        </div>
        <div><br></div>
        <table border="1" style="border-width: thin;padding-top: 30%">
            {% if context.current_batch >= 2016 %}

                <thead>
                <tr>
                    <td align="center" style="font-weight: bold;font-size: large;width: 5%;">S.NO.</td>
                    <td align="center" style="font-weight: bold;font-size: large; width: 10%;">REG. NO.</td>
                    <td align="center" style=" font-weight: bold;font-size: large;width: 10%;">NAME</td>
                    <td colspan="{{ context.count|add:"2" }}" align="center"
                        style=" font-weight: bold;font-size: large;width: 55%">EXPERIMENTS
                    </td>
                    <td align="center" style=" font-weight: bold;font-size: large;width: 10%;">MODEL PRACTICAL</td>
                    <td align="center" style=" font-weight: bold;font-size: large;width: 10%;">CA MARKS</td>
                </tr>
                <tr>
                    <td align="center" style="font-weight: bold;font-size: large;width: 5%;"></td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;"></td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;"></td>
                    {% for each in context.question_list %}
                        <th align="center"
                            style=" font-weight: bold;font-size: large;width: {{ context.column_width }}%;">
                            E&nbsp;{{ each.quesno }}
                        </th>
                    {% endfor %}
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;">TOTAL MARKS</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;">MARKOUT OF (A)</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;">MARKOUT OF (B)</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;">(A) + (B)</td>
                </tr>
                <tr>
                    <td colspan="3" align="center" style="font-weight: bold;font-size: large;width: 25%;">Maximum marks
                        ->
                    </td>
                    {% for each in context.question_list %}
                        <th align="center"
                            style=" font-weight: bold;font-size: large;width: {{ context.column_width }}%;">{{ each.mark }}
                        </th>
                    {% endfor %}
                    <td align="center"
                        style="font-weight: bold;font-size: large;width: 10%;">{{ context.multiply_total }}</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;">40</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;">10</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;">50</td>
                </tr>
                </thead>
                <tbody>

                {% for student in context.student_list %}
                    <tr>
                        <td align="center">{{ forloop.counter }}</td>
                        <td align="center">{{ student.regno }}</td>
                        <td align="center">{{ student.name }}</td>
                        {% for each in student.studcomark %}
                            <td align="center">{{ each }}</td>
                        {% endfor %}
                        <td align="center">{% if student.tot == 0 %}0{% else %}{{ student.tot }}{% endif %}</td>
                        <td align="center">{% if student.avg %}{{ student.avg }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.internal_mark == 0 %}0{% else %}
                            {{ student.internal_mark }}{% endif %}</td>
                        <td align="center">{% if student.ca_mark %}{{ student.ca_mark }}{% else %}0{% endif %}</td>

                    </tr>
                {% endfor %}
                </tbody>



            {% else %}
                <thead>
                <tr>
                    <td align="center" style="font-weight: bold;font-size: large;width: 5%;">S.No.</td>
                    <td align="center" style="font-weight: bold;font-size: large; width: 7%;">Roll Number</td>
                    <td align="center" style=" font-weight: bold;font-size: large;width: 10%;">Name</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 10%;">Attendance<br>10</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">Total<br>10</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">A 1<br>10</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">A 2<br>10</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">A 3<br>10</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">Total<br>30</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">UT 1<br>50</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">UT 2<br>50</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">UT 3<br>50</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">RE UT<br>50</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">Total<br>150</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 6%;">Round total<br>60</td>
                    <td align="center" style="font-weight: bold;font-size: large;width: 8%;">Final<br>Assesment<br>Marks<br>25
                    </td>
                </tr>
                </thead>
                <tbody>

                {% for student in context.student_list %}
                    <tr>
                        <td align="center">{{ forloop.counter }}</td>
                        <td align="center">{{ student.registration_number }}</td>
                        <td align="center">{{ student.student_name }}</td>
                        <td align="center">{% if student.internal_mark_instance.att %}
                            {{ student.internal_mark_instance.att }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.internal_mark_instance.att %}
                            {{ student.internal_mark_instance.att }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.internal_mark_instance.ass1 %}
                            {{ student.internal_mark_instance.ass1 }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.internal_mark_instance.ass2 %}
                            {{ student.internal_mark_instance.ass2 }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.internal_mark_instance.ass3 %}
                            {{ student.internal_mark_instance.ass3 }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.total_assignment_marks %}
                            {{ student.total_assignment_marks }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.internal_mark_instance.ut1 %}
                            {{ student.internal_mark_instance.ut1 }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.internal_mark_instance.ut2 %}
                            {{ student.internal_mark_instance.ut2 }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.internal_mark_instance.ut3 %}
                            {{ student.internal_mark_instance.ut3 }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.internal_mark_instance.reut %}
                            {{ student.internal_mark_instance.reut }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.total_internal_marks %}
                            {{ student.total_internal_marks }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.avg_internal_mark %}
                            {{ student.avg_internal_mark }}{% else %}0{% endif %}</td>
                        <td align="center">{% if student.final_assesment_mark %}
                            {{ student.final_assesment_mark }}{% else %}0{% endif %}</td>

                    </tr>
                {% endfor %}
                </tbody>
            {% endif %}

        </table>
    {% endif %}
    <br>
    <br>
    <br>
    <br>
    <br>

    <table>
        <tr>
            <div style="width: 33%">
                <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty In-charge of the
                    Course</strong>
                </td>

            </div>

            <div style="width: 33%">

                <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department (of the
                    Faculty-Incharge of the Course)</strong>
                </td>
            </div>
        </tr>
    </table>
    <br><br><br><br>
    <table>
        <tr>
            <div style="width: 33%">
                <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty Advisor</strong>
                </td>
            </div>
            <div style="width: 33%">
                <td align="center" style="font-stretch: expanded;font-size: large"><strong>Programme
                    Co-ordinator</strong>
                </td>
            </div>
            <div style="width: 33%">
                <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department of the
                    student</strong>
                </td>
            </div>
        </tr>
    </table>
    {% if context.current_batch >= 2016 %}
        <div style="font-size: 13px;margin-top:50px;">
            <b><u>NOTE:</u></b><br>
            * Class committee consists of (i) Course coordinator (ii) Student counsellor (iii) HOD and (iv) Student
            representatives
            shall decide the criterion for the calculation of Continuous Assessment marks for Laboratory Courses to the
            totalof maximum
            50 marks.<br>
            * Minutes of the meeting must be submitted along with the Statement of marks about the criterion followed
            for the calculation.<br>
            <br><br>
            <b><u>GUIDELINE :</u></b><br>
            Suggestions for the Class committee to finalize the criteria for continuous assessment marks calculation:
            E1,E2,E3...En may carry 50 marks
            each with the following breakup<br><br>
        </div>
        <table>
            <tr>
                <th></th>
                <td><b>Max-marks</b></td>
            </tr>
            <tr>
                <th>Preparation/Observation</th>
                <td style="margin-left:20px;">15</td>
            </tr>
            <tr>
                <th>Conduct of Experiments</th>
                <td style="margin-left:20px;">15</td>
            </tr>
            <tr>
                <th>Results</th>
                <td style="margin-left:20px;">&nbsp;5</td>
            </tr>
            <tr>
                <th>Viva-Voce</th>
                <td style="margin-left:20px;">&nbsp;5</td>
            </tr>
            <tr>
                <th>Record</th>
                <td style="margin-left:20px;">10</td>
            </tr>
            <tr>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <th>TOTAL</th>
                <td style="margin-left:20px;">50</td>
            </tr>
        </table>
    {% endif %}

{% endblock %}